/*******************************************************************
 * Wireless data logger
 * Copyright(c) 2013 H.Momose hirofumi@momose.com
 *******************************************************************/
#ifndef __DAYTIME_H__
#define	__DAYTIME_H__

struct daytime_st {
    unsigned char year;     // year (last 2 digits)
    unsigned char mon;      // month
    unsigned char day;      // day
    unsigned char hour;     // hour
    unsigned char min;      // min
    unsigned char sec;      // sec
};

extern const unsigned char daymonth[];
extern struct daytime_st daytime;
extern unsigned long epoch;

void daytime_set(struct daytime_st *);
void daytime_update(void);

#endif	/* __DAYTIME_H__ */
