/*******************************************************************
 * Wireless data logger
 * Copyright(c) 2013 H.Momose hirofumi@momose.com
 *******************************************************************/
#ifndef __FS_H__
#define __FS_H__

#define FS_OK           0
#define FS_IOERR        1
#define FS_CORRUPT      2
#define FS_FULL         3
#define FS_NOCARD       4
#define FS_NOTFAT16     5

#define FS_MODE_WR      0
#define FS_MODE_AP      1
#define FS_MODE_RD      2


unsigned char fs_init(void);
unsigned char fs_open(const char *, unsigned char);
void fs_close(void);
unsigned char fs_write(const char *, long);
unsigned long fs_get_size(void);
#define fs_sync	fs_close        // Currently fs_close and fs_sync is same

#endif // __FS_H__
